package com.ruoyi.ehsFloodDroughtTeam.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ehsFloodDroughtTeam.domain.EhsFloodDroughtTeam;
import com.ruoyi.ehsFloodDroughtTeam.vo.FloodDroughtTeamVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 防汛抗旱队伍管理Mapper接口
 *
 * @author ruoyi
 * @date 2023-12-14
 */
public interface EhsFloodDroughtTeamMapper extends BaseMapper<EhsFloodDroughtTeam> {
    /**
     * 查询防汛抗旱队伍管理
     *
     * @param id 防汛抗旱队伍管理主键
     * @return 防汛抗旱队伍管理
     */
    public EhsFloodDroughtTeam selectEhsFloodDroughtTeamById(Long id);

    /**
     * 查询防汛抗旱队伍管理列表
     *
     * @param ehsFloodDroughtTeam 防汛抗旱队伍管理
     * @return 防汛抗旱队伍管理集合
     */
    public List<EhsFloodDroughtTeam> selectEhsFloodDroughtTeamList(EhsFloodDroughtTeam ehsFloodDroughtTeam);

    /**
     * 防汛抗旱:根据队伍id获取队伍信息
     */
    public FloodDroughtTeamVo getTeamInfoByTeamId(Long teamId);

    /**
     * 根据防汛抗旱队伍id，查询该队伍人数
     * @param id
     * @return
     */
    public Long getWorkerNumByTeamId(@Param("id") Long id);
}
