package com.ruoyi.ehsHiddenDanger.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 隐患信息对象 ehs_hidden_danger
 *
 * @author ruoyi
 * @date 2023-12-11
 */
@Data
@ToString
@NoArgsConstructor
@Accessors(chain = true)
@TableName("ehs_hidden_danger")
public class EhsHiddenDanger extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(type= IdType.AUTO)
    private Long hiddenDangerId;

    /** 隐患所在单位 */
    @Excel(name = "单位名称")
    private String enterpriseName;

    /** 企业现状（0停业、1正常经营） */
    @Excel(name = "企业现状", readConverterExp = "0=停业,1=正常经营")
    private String enterpriseStatus;

    /** 行业 字典 */
    @Excel(name = "行业" , dictType = "enterprise_type")
    private String enterpriseType;
    @Excel(name = "隐患数量" )
    private Integer hdCount;
    /** 隐患情况 */
    @Excel(name = "隐患情况")
    private String hiddenDangerDesc;

    /** 排查时间 */
    @Excel(name = "排查时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkTime;

    /** 排查方式 */
    @Excel(name = "排查方式", dictType = "check_type")
    private String checkType;

    /** 隐患照片 */
   // @Excel(name = "隐患照片" )
    private String hiddenDangerImg;

    /** 整改措施 */
    @Excel(name = "整改措施")
    private String rectifyMeasure;
    @Excel(name = "整改期限", width = 30, dateFormat = "yyyy-MM-dd")
    private Date rectifyTermTime;
    /** 整改进度 */
    @Excel(name = "整改进度", dictType = "hidden_danger_status")
    private String status;

    /** 整改时间 */
    @Excel(name = "整改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date rectifyTime;

    /** 整改责任人 */
    @Excel(name = "整改责任人")
    private String principalName;

    /** 整改照片 */
    //@Excel(name = "整改照片")
    private String rectifyImg;

    /** 监管部门 */
    @Excel(name = "监管部门")
    private String regulatoryDept;

    /** 监管部门责任人 */
    @Excel(name = "监管部门责任人")
    private String regulatoryName;

    /** 隐患级别 */
    @Excel(name = "隐患级别", dictType = "hidden_danger_grade" )
    private String hiddenDangerGrade;

    /** 隐患类型 */
    @Excel(name = "隐患类型", dictType = "hidden_danger_type")
    private String hiddenDangerType;

    /** 标签 */
    //@Excel(name = "标签")
    private String hiddenDangerLabel;

    @Excel(name = "是否督办" , dictType = "ehs_yes_no")
    private Long isSupervise;

    //@Excel(name = "协办部门列表" , type = Excel.Type.EXPORT)
    private String assistDept;

    @Excel(name = "督办结果")
    private String superviseResult;


    @TableField(exist = false)
    private String  hiddenDangerIds;

    @TableField(exist = false)
    private String  assistDeptName;

    @TableField(exist = false)
    //@Excel(name = "标签", dictType = "hidden_danger_label")
    private String[] hiddenDangerLabelArray;



    /** 整改资金 */
    @Excel(name = "整改资金")
    private BigDecimal rectifyMoney;

    @Excel(name = "行政区域", dictType = "area_id")
    private String areaId;
    @Excel(name = "经济类型" , dictType = "economic_type")
    private String economicType;
    @Excel(name = "企业规模", dictType = "enterprise_scale")
    private String enterpriseScale;
    @Excel(name = "是否乡镇（街道）", dictType = "ehs_yes_no")
    private String isTowns;
    @TableField(exist = false)
    private String  isOverTime;//是否超时未整改
    @Excel(name = "标签")
    @TableField(exist = false)
    private String  hiddenDangerLabelName;//是否超时未整改
    @TableField(exist = false)
    private Integer  overTime;//是否超时未整改
    @Excel(name = "企业详细地址" )
    private String address;
    @TableField(exist = false)
    private Integer  currMonth;
    @TableField(exist = false)
    private String  overTimeId;//超时隐患的id合集
}
