package com.ruoyi.ehsRescueTeam.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 应急救援队伍管理对象 ehs_rescue_team
 *
 * @author ruoyi
 * @date 2023-12-11
 */
@Data
@ToString
@NoArgsConstructor
@Accessors(chain = true)
@TableName("ehs_rescue_team")
public class EhsRescueTeam extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 队伍名称
     */
    @Excel(name = "队伍名称")
    private String teamName;

    /**
     * 队伍级别
     */
    @Excel(name = "队伍级别", dictType = "team_level")
    private String teamLevel;

    /**
     * 负责人
     */
    @Excel(name = "负责人")
    private String dutyer;

    /**
     * 联系电话
     */
    @Excel(name = "联系电话")
    private String phone;

    /**
     * 所属单位
     */
    @Excel(name = "所属单位")
    private String unit;

    /**
     * 驻地
     */
    @Excel(name = "驻地")
    private String station;

    /**
     * 队伍属性
     */
    @Excel(name = "队伍属性", dictType = "team_property")
    private Long teamProperty;

    /**
     * 救援人员数量
     */
    @Excel(name = "救援人员数量", type = Excel.Type.EXPORT)
    @TableField(exist = false)
    private Long rescueWorkerNum;

}
